import { Object3D } from 'three';
import { Base } from '../base';
import PoiMarker from './poiMarker';
interface IOptions {
    name?: string;
    collision?: boolean;
}
export default class PoisLayer extends Base {
    MY_NAME: string;
    private _scale;
    private options;
    _group: Object3D;
    constructor({ name, collision }: IOptions);
    _init(): void;
    add(...poiMarker: PoiMarker[]): Promise<this>;
    remove(...poiMarker: PoiMarker[]): this;
    /**
     * @desc 暴露出更新size方法，使其可以在 cameraControls 控制时候更新
     */
    _updateSize(): void;
    private getPoiScale;
    /**
     * @desc 检测两个标注sprite是否碰撞
     */
    private isMarkerCollision;
    /**
     * @desc three世界坐标转为屏幕坐标
     */
    private toScreenPos;
}
export {};
